<?xml version="1.0" encoding="utf-8"?>
<SystemConfig xmlns:sys="https://extendedxmlserializer.github.io/system" xmlns="clr-namespace:ConfigMigration.Configuration.V60;assembly=ConfigMigration">
  <Version>6.0</Version>
  <GlobalSettings>
    <IdentityServerUrl>http://localhost:51980</IdentityServerUrl>
  </GlobalSettings>
  <Services>
    <Server>
      <Urls>http://*:51980</Urls>
      <DataExtraction>
        <StorageType>Postgres</StorageType>
        <ConnectionString>Host=localhost;Port=5444;UserName=wyn-enterprise;Password=Wr8TGfe2r0;Database=wyndatacache;</ConnectionString>
      </DataExtraction>
      <Storage>
        <StorageType>Postgres</StorageType>
        <ConnectionString>Host=localhost;Port=5444;UserName=wyn-enterprise;Password=Wr8TGfe2r0;Database=wynserverdata;</ConnectionString>
      </Storage>
      <IdentityServer>
        <Provider>Server</Provider>
        <StorageType>Postgres</StorageType>
        <ConnectionString>Host=localhost;Port=5444;UserName=wyn-enterprise;Password=Wr8TGfe2r0;Database=wynis;</ConnectionString>
      </IdentityServer>
      <ServerCluster>
        <Host>127.0.0.1</Host>
        <Secret>a901eda9c66ca45e0b27f2bf519720f5c83c8f77033c8628c72f28cd8c45bbf2</Secret>
        <Port>51985</Port>
        <PrimaryNode>
          <Host>127.0.0.1</Host>
          <Port>51986</Port>
        </PrimaryNode>
      </ServerCluster>
      <Cors>
        <ExposedHeaders>
          <sys:string>Location</sys:string>
        </ExposedHeaders>
      </Cors>
    </Server>
    <ReportingWorker />
    <CotWorker />
    <DashboardWorker />
    <DataSourceService />
    <MemoryDBService />
    <SchedulerService />
    <AnalysisDBPrimaryNode />
    <AnalysisDBService />
  </Services>
  <Cluster>
    <Host>127.0.0.1</Host>
    <Secret>76cfd084cb077a2606c265311ee1b36d145dcaf1e944c42bb4db4c3e841ecfe7</Secret>
    <Port>51986</Port>
    <Role>primary</Role>
  </Cluster>
  <CustomActions>
    <CustomAction>
      <Name>action1</Name>
      <ExecutionStage>BeforeStartingServices</ExecutionStage>
      <Process>cmd.exe</Process>
      <Arguments>/c echo "%date% %time%" "before starting services..." &gt;&gt; D:\tmp\log.txt</Arguments>
    </CustomAction>
    <CustomAction>
      <Name>action2</Name>
      <ExecutionStage>AfterServicesStarted</ExecutionStage>
      <Process>cmd.exe</Process>
      <Arguments>/c echo "%date% %time%" "after services started..." &gt;&gt; D:\tmp\log.txt</Arguments>
    </CustomAction>
    <CustomAction>
      <Name>action3</Name>
      <ExecutionStage>BeforeStoppingServices</ExecutionStage>
      <Process>cmd.exe</Process>
      <Arguments>/c echo "%date% %time%" "before stopping services..." &gt;&gt; D:\tmp\log.txt</Arguments>
    </CustomAction>
    <CustomAction>
      <Name>action4</Name>
      <ExecutionStage>AfterServicesStopped</ExecutionStage>
      <Process>cmd.exe</Process>
      <Arguments>/c echo "%date% %time%" "after services stopped..." &gt;&gt; D:\tmp\log.txt</Arguments>
    </CustomAction>
  </CustomActions>
</SystemConfig>